Last modified: 2013-11-20 12:39:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43368 - Email reminder should mention to visit the page *while logged in*
Email reminder should mention to visit the page *while logged in*
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.21.x
All All
: Normal enhancement (vote)
: 1.23.0 release
Assigned To: Mayank Madan
:
Depends on:
Blocks: 1932 messages
  Show dependency treegraph
 
Reported: 2012-12-23 18:36 UTC by Dan Jacobson
Modified: 2013-11-20 12:39 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Dan Jacobson 2012-12-23 18:36:37 UTC
In email we read
>There will be no other notifications in case of further changes unless
>you visit this page. You could also reset the notification flags for all
>your watched pages on your watchlist.

>			 Your friendly MediaWiki notification system

This needs to be changed to
>you visit this page (when logged in!).

Else they might think there will be further notifications,
but will never realize there won't !

Obvious to some, but not to others!
Comment 1 Nemo 2012-12-28 19:25:16 UTC
Is this really a good idea? Mentioning all implementations details in every message to users adds a lot of clutter.
Everything said in the enotif after the diffs is valid only if one is logged in...
Moreover, the main problem is perhaps bug 31928, and again user interface shouldn't be used to "document" bugs.
Maybe I'm just being too cautious.
Comment 2 Dan Jacobson 2012-12-28 19:44:05 UTC
The software behind http://www.forumosa.org/ can tell if one is clicking
from one of those types of reminders, and insists one login before
showing the follow up one has been notified of.

So maybe have the link be

"If you don't read it,
http://....&Remind_login_if_not_logged_in=yes
there won't be any more messages"

Anyways, "if you don't do A then there won't be B" so then they do A but there still will not be B is PLAIN Bait and Switch... Cheating! Probably breaks web commerce laws.
Comment 3 Gerrit Notification Bot 2013-11-19 21:07:13 UTC
Change 96365 had a related patch set uploaded by Mayankmadan:
Adding "whie logged in" in Mediawiki email notification

https://gerrit.wikimedia.org/r/96365
Comment 4 Bartosz Dziewoński 2013-11-20 12:23:22 UTC
"while logged in" is a not a long addition and it seems reasonable to me.

Fixed as part of GCI task.
Comment 5 Gerrit Notification Bot 2013-11-20 12:39:00 UTC
Change 96365 merged by jenkins-bot:
Adding "while logged in" in email notification

https://gerrit.wikimedia.org/r/96365

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links